package daruma.storage_manager.type_definition;

import daruma.xml.UniversalName;
import daruma.storage_manager.type_definition.TypeDefinition;
import daruma.storage_manager.type_definition.TypeName;

public class AttributeDefinition
{
	public	enum UseType { REQUIRED , OPTIONAL , PROHIBIT };

	private	TypeDefinition	type;
	private	UniversalName	attributeName;
	private	TypeName	typeName;
	private	UseType		useType;

	public	AttributeDefinition( TypeDefinition  type ,
				     UniversalName  attributeName ,
				     TypeName  typeName ,
				     UseType  useType )
	{
		this.type          = type;
		this.attributeName = attributeName;
		this.typeName      = typeName;
		this.useType       = useType;
	}

	public	TypeDefinition	getType()
	{
		return( this.type );
	}

	public	UniversalName	getAttributeName()
	{
		return( this.attributeName );
	}

	public	TypeName	getTypeName()
	{
		return( this.typeName );
	}

	public	UseType		getUseType()
	{
		return( this.useType );
	}
}
